summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Davies <jpds@protonmail.com>2021-03-18 00:18:04 +0000
committerJason Zaman <perfinion@gentoo.org>2021-04-02 21:15:34 -0700
commitb8dfa34696c352eb12868d4eb21a1de716f08c05 (patch)
tree309eb0f3ca78730c3568357e3c2dd2fcd1dedce4
parentsys-apps/mcstrans: Sync live ebuild. (diff)
downloadgentoo-b8dfa34696c352eb12868d4eb21a1de716f08c05.tar.gz
gentoo-b8dfa34696c352eb12868d4eb21a1de716f08c05.tar.bz2
gentoo-b8dfa34696c352eb12868d4eb21a1de716f08c05.zip
sys-apps/restorecond: Version updated to 3.2.
Signed-off-by: Jonathan Davies <jpds@protonmail.com> Signed-off-by: Jason Zaman <perfinion@gentoo.org>
-rw-r--r--sys-apps/restorecond/Manifest1
-rw-r--r--sys-apps/restorecond/restorecond-3.2.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/sys-apps/restorecond/Manifest b/sys-apps/restorecond/Manifest
index 55b635ab646..163a8d8856f 100644
--- a/sys-apps/restorecond/Manifest
+++ b/sys-apps/restorecond/Manifest
@@ -1 +1,2 @@
DIST restorecond-3.1.tar.gz 18939 BLAKE2B 3a3fcde057dad3ed05692d679ba27e0b24f191d92ed5114fa38cb5f846c4cc00d85bb09b5d4e560ed2b914444e0c2d1c407f6c03900610624d5626d05f2991bc SHA512 cdcf299f48b89a7c641ded9507b9b966bf648497394f8e988a9cb1ceb3224c86369706027f3416a4f9750836f7a8f4580a4b3df76673e03f897b383d7ed0e2c8
+DIST restorecond-3.2.tar.gz 18965 BLAKE2B 6cbd32c7c33fcc9f3fff78cc1faaa354c7ee918bfde8e12dfa73ce99632a8bc1e00d2f3b7cdd9c72179dbb51af1847e8dadd41cdc3ca20e9fb45e61871325029 SHA512 b1437a5d4dffef3463a0f2994f07c98585e9cfbc354db2dc07483fd9b964b079090697a277d2f4fd6bcd8df62f7505962fdca22d700721f6ba71490ace0167a9
diff --git a/sys-apps/restorecond/restorecond-3.2.ebuild b/sys-apps/restorecond/restorecond-3.2.ebuild
new file mode 100644
index 00000000000..f3e66897e8c
--- /dev/null
+++ b/sys-apps/restorecond/restorecond-3.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit systemd toolchain-funcs
+
+IUSE=""
+
+if [[ ${PV} == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git"
+ S="${WORKDIR}/${P}/${PN}"
+else
+ SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${PV}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+fi
+
+DESCRIPTION="Daemon to watch for creation and set default SELinux fcontexts"
+HOMEPAGE="https://github.com/SELinuxProject/selinux/wiki"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND="dev-libs/glib:2
+ >=sys-libs/libsepol-${PV}:=
+ >=sys-libs/libselinux-${PV}:="
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+
+ sed -i 's/-Werror//g' "${S}"/Makefile || die "Failed to remove Werror"
+}
+
+src_compile() {
+ tc-export CC
+ default
+}
+
+src_install() {
+ SYSTEMDSYSTEMUNITDIR="$(systemd_get_systemunitdir)" \
+ SYSTEMDUSERUNITDIR=$(systemd_get_userunitdir) \
+ emake DESTDIR="${D}" install
+
+ rm -rf "${D}/etc/rc.d" || die
+
+ newinitd "${FILESDIR}/restorecond.init" restorecond
+}